Update brand AI specifications
curl --request PATCH \
--url https://app.alana.shopping/api/workspace/{workspaceId}/brands/{brandId}/ai-specs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tone_of_voice": "<string>",
"brand_objective": "<string>",
"target_audience": "<string>",
"content_policies": "<string>",
"language_preferences": "<string>",
"keywords_always": [
"<string>"
],
"keywords_never": [
"<string>"
],
"custom_instructions": "<string>",
"visual_style": "<string>",
"color_palette": [
"<string>"
]
}
'{
"id": "<string>",
"brand_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tone_of_voice": "<string>",
"brand_objective": "<string>",
"target_audience": "<string>",
"content_policies": "<string>",
"language_preferences": "<string>",
"keywords_always": [
"<string>"
],
"keywords_never": [
"<string>"
],
"custom_instructions": "<string>",
"visual_style": "<string>",
"color_palette": [
"<string>"
]
}Atualizar Especificações de IA
PATCH
/
api
/
workspace
/
{workspaceId}
/
brands
/
{brandId}
/
ai-specs
Update brand AI specifications
curl --request PATCH \
--url https://app.alana.shopping/api/workspace/{workspaceId}/brands/{brandId}/ai-specs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tone_of_voice": "<string>",
"brand_objective": "<string>",
"target_audience": "<string>",
"content_policies": "<string>",
"language_preferences": "<string>",
"keywords_always": [
"<string>"
],
"keywords_never": [
"<string>"
],
"custom_instructions": "<string>",
"visual_style": "<string>",
"color_palette": [
"<string>"
]
}
'{
"id": "<string>",
"brand_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tone_of_voice": "<string>",
"brand_objective": "<string>",
"target_audience": "<string>",
"content_policies": "<string>",
"language_preferences": "<string>",
"keywords_always": [
"<string>"
],
"keywords_never": [
"<string>"
],
"custom_instructions": "<string>",
"visual_style": "<string>",
"color_palette": [
"<string>"
]
}Autorizações
Bearer token authentication via Auth0. Users authenticate through Auth0 Universal Login. Include the access token in the Authorization header: Authorization: Bearer <token>
Parâmetros de caminho
The workspace ID
Pattern:
^ws_[a-z0-9]+$Corpo
application/json
Visual aesthetic style (e.g. minimalist, lifestyle, editorial, studio).
Maximum string length:
50Brand hex color codes. Max 10 items.
Maximum array length:
10Pattern:
^#([0-9a-fA-F]{3}|[0-9a-fA-F]{6})$Default AI generation quality tier.
Opções disponíveis:
economic, balanced, high, null Resposta
Brand AI specifications updated successfully
Visual aesthetic style (e.g. minimalist, lifestyle, editorial, studio). Migrated from workspaces.brand_style_profile.
Maximum string length:
50Brand hex color codes. Max 10 items.
Maximum array length:
10Pattern:
^#([0-9a-fA-F]{3}|[0-9a-fA-F]{6})$Default AI generation quality tier.
Opções disponíveis:
economic, balanced, high, null Última modificação em 18 de maio de 2026
⌘I